// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using Atom.Core.Collections;
using Atom.Core.Local;
using Atom.Core.Networking;

namespace Atom.LoginServer.Services
{
    internal static class WMService
    {
        internal static List<World> Worlds = new List<World>();

        internal static void RegisterWorld(Client client, byte worldNo, string name, string ip, int port)
        {
            Worlds.Add(new World
            {
                Client = client,
                Number = worldNo,
                Name = name,
                IPAddress = ip,
                Port = port
            });
        }

        internal static void UnregisterWorld(World world)
        {
            if (!Worlds.Contains(world))
            {
                return;
            }

            Worlds.Remove(world);
        }
    }
}
